%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate sequoia-keystore

Name:           rust-sequoia-keystore
Version:        0.5.1
Release:    2%{?dist}
Summary:        Sequoia's private key store server

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keystore
Source0:         %{crates_source}
Patch:          sequoia-keystore-fix-metadata-auto.diff
Patch:          sequoia-keystore-fix-metadata.diff
Patch:          0001-drop-unused-async-function-variants.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Sequoia's private key store server.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gpg-agent-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gpg-agent-devel %{_description}

This package contains library source intended for building other packages which
use the "gpg-agent" feature of the "%{crate}" crate.

%files       -n %{name}+gpg-agent-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+softkeys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+softkeys-devel %{_description}

This package contains library source intended for building other packages which
use the "softkeys" feature of the "%{crate}" crate.

%files       -n %{name}+softkeys-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build -f sequoia-openpgp/crypto-nettle

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com>
- Rebuilt for loongarch64

* Sun Jun 30 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-1
- initial build
